<?xml version="1.0"?>
<configuration>
  <configSections>
    <sectionGroup name="system.web">
      <section name="neatUpload" type="Brettle.Web.NeatUpload.ConfigSectionHandler, Brettle.Web.NeatUpload" allowLocation="true"/>
    </sectionGroup>
  </configSections>
  <appSettings>
   
    <add key="disk_ConStringEncrypt" value="false"/>
    <add key="disk_Password" value="1882fbc396ff0b6b16f05d4595111d15"/>
    <add key="disk_ConnectionString" value="Data Source=.\SQL2005;database = 25175_Networkdisk ;uid=sa;pwd=25175"/>
    <add key="disk_masterString" value="Data Source=.\SQL2005;database = master ;uid=sa;pwd=25175"/>
  </appSettings>
	
	<system.webServer>
	
		<modules>
			<add name="UploadHttpModule" type="Brettle.Web.NeatUpload.UploadHttpModule, Brettle.Web.NeatUpload"/>
		</modules>
	</system.webServer>
	
	
	<system.web>
		<httpRuntime executionTimeout="90" maxRequestLength="2097151" useFullyQualifiedRedirectUrl="true" minFreeThreads="8" minLocalRequestFreeThreads="4" appRequestQueueLimit="100"/>
		<compilation debug="true" targetFramework="4.0">
			<assemblies>
				<add assembly="System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
				<add assembly="System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
			</assemblies>
		</compilation>
		<trace enabled="false" requestLimit="5000" pageOutput="true" traceMode="SortByTime" localOnly="false"/>


		<customErrors mode="Off"/>
    <neatUpload useHttpModule="false" maxNormalRequestLength="4096" maxRequestLength="2097151" defaultProvider="FilesystemUploadStorageProvider">
      <providers>
        <add name="FilesystemUploadStorageProvider" type="Brettle.Web.NeatUpload.FilesystemUploadStorageProvider, Brettle.Web.NeatUpload"/>
      </providers>
    </neatUpload>
    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID"/>
  </system.web>
  <location path="disk/_admin/manager/disk_ResourceFile/disk_ResourceFile_Insert.aspx">
    <system.web>
      <neatUpload useHttpModule="true"/>
      <httpRuntime maxRequestLength="2097151" executionTimeout="3600" useFullyQualifiedRedirectUrl="true"/>
    </system.web>
  </location>
  <location path="disk/_admin/manager/disk_ResourceFile/disk_ResourceFile_Edit.aspx">
    <system.web>
      <neatUpload useHttpModule="true"/>
      <httpRuntime maxRequestLength="2097151" executionTimeout="3600" useFullyQualifiedRedirectUrl="true"/>
    </system.web>
  </location>
</configuration>